
mat-label, P{
    color: #000;
    }
    
    mat-form-field{
        width: 100%;
    }
    
    
    ::ng-deep .mat-form-field-appearance-outline .mat-form-field-outline {
        color: #000!important;
    }
    
    ::ng-deep .mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
        color: #000!important;
    }
    
    ::ng-deep .mat-form-field-appearance-outline.mat-form-field-invalid.mat-form-field-invalid .mat-form-field-outline-thick{
        color: #000!important;
        opacity: 0.8!important;
    }
    
    ::ng-deep .mat-form-field-label {
        color: rgba(0,0,0,.6)!important;
    }
    
    ::ng-deep .mat-form-field.mat-focused .mat-form-field-label {
        color: #000!important;
    }
    
    ::ng-deep .mat-form-field.mat-form-field-invalid .mat-form-field-label {
        color: #000!important;
    }